# -*- coding: utf-8 -*-

%def_enable gtk_doc
%set_verify_elf_method textrel=relaxed

Name: captive
Version: 1.1.7
Release: alt3

Summary: Framework for accessing filesystems via Microsoft (R) Windows (TM) binary drivers
Summary(ru_RU.UTF-8): Библиотека для доступа к файловым системам при помощи драйверов из Microsoft (R) Windows (TM)
License: GPL
Group: System/Kernel and hardware
Url: http://www.jankratochvil.net/project/captive/
# Automatically added by buildreq on Fri Jul 14 2006
BuildRequires: bc esound gcc-c++ gnome-vfs-devel gtk-doc libavahi-glib libfuse-devel libGConf-devel libgnomeui-devel libntfs-gnomevfs libreadline-devel libSM-devel libssl-devel libstdc++-devel-static libXcursor-devel libXi-devel linux-libc-headers
#glade2

BuildRequires: libntfs-devel >= 1.8.0
BuildRequires: libxml2-devel >= 2.5.9

%if_enabled gtk_doc
BuildRequires: gtk-doc > 0.10
%endif

Source0: %name-%version.tar.bz2
#Source1: mount.captive.in
Source2: captive.init
Patch0: captive-1.1.5-alt-procaccess.patch
Patch2: captive-1.1.6.1-alt-tinfo.patch
Patch3: captive-1.1.6.1-alt-varlib.patch
#Patch4: captive-1.1.5-alt-make_order.patch
#Patch5: PLD-captive-no_lufsd.patch
Patch6: captive-1.1.7-alt-gcc3.4-libntfs.patch

%description
This is a framework for accessing filesystems via
Microsoft(R) Windows(TM) binary drivers

Existing binary Microsoft(R) Windows(TM) file system drivers are exploited
for accessing drives with possibly proprietary file system data structures.
Open file system API is provided to access these file system drivers.
Microsoft (R) Windows (TM) system components required by these drivers
were analyzed and successfuly emulated in the GNU/Linux operating system.

The implementation allows applications running under the GNU/Linux
operating system to access NTFS drives. File system driver
compatibility with VFAT, ISO9660 and EXT2 is also provided.

%description -l ru_RU.UTF-8
Набор средств для доступа к файловым системам при помощи двоичных
драйверов из Microsoft(R) Windows(TM)

Для доступа к устройствам с различными, в том числе, проприетарными
файловыми системами в captive используются существующие драйвера
файловых систем для Microsoft(R) Windows(TM). Для взаимодействия с
этими драйверами предоставляется открытое файловое API. Системные
компоненты из Microsoft (R) Windows (TM), требуемые для
функционирования данных драйверов, успешно эмулируются средствами
captive в операционной системе GNU/Linux

Реализация позволяет приложениям, работающим под управлением
GNU/Linux, работать с данными на устройствах с NTFS. Предоставляется
также совместимость с драйверами для VFAT, ISO9660 и EXT2

%package fuse
Summary: captive module for FUSE
Summary(ru_RU.UTF-8): модуль captive для FUSE
Group: System/Kernel and hardware
Requires: captive = %version
BuildRequires: libfuse-devel
Obsoletes: captive-lufs

%description fuse
captive is a framework for accessing Microsoft(R) Windows(TM)
filesystems using Windows binary drivers.

fuse is a pluggable hybrid kernel/userspace filesystem framework.

This package contains captive module for FUSE

%description fuse -l ru_RU.UTF-8
captive - это набор средств для доступа к файловым системам
Microsoft(R) Windows(TM) при помощи бинарных драйверов из Windows.

FUSE - это гибридная расширяемая среда для доступа к различным
файловым системам

Этот пакет содержит модуль captive для FUSE

%package install
Summary: captive install and configuration tools
Summary(ru_RU.UTF-8): средства установки и настройки captive
Group: System/Configuration/Hardware
Requires: captive = %version
BuildRequires: pkgconfig libgnomeui-devel gnome-vfs2-devel
%description install
captive is a framework for accessing Microsoft(R) Windows(TM)
filesystems using Windows binary drivers.

This package contains install and configuration tools for captive

%description install -l ru_RU.UTF-8
captive - это набор средств для доступа к файловым системам
Microsoft(R) Windows(TM) при помощи бинарных драйверов из Windows.

Средства для установки и настройки captive

%package devel
Summary: captive development files
Group: Development/C
Requires: captive = %version
%description devel
captive is a framework for accessing Microsoft(R) Windows(TM)
filesystems using Windows binary drivers.

This package contains files needed to depelop applications using captive API

%prep
%setup -q
%patch0 -p1
%patch2 -p1
%patch3 -p1
#%%patch4 -p1
#%%patch5 -p1
%patch6 -p1
#subst 's,captive_cmdline_LDADD =,captive_cmdline_LDADD = $(POPT_LIBS) ,' src/client/cmdline/Makefile.am
#subst 's,captive_sandbox_server_LDADD =,captive_sandbox_server_LDADD = $(POPT_LIBS) ,' src/client/sandbox-server/Makefile.am
#subst 's,mount_captive_LDADD =,mount_captive_LDADD = $(POPT_LIBS) ,' src/client/fuse/Makefile.am
#subst 's,captive_bug_replay_LDADD =,captive_bug_replay_LDADD = $(POPT_LIBS) ,' src/client/bug-replay/Makefile.am
#subst 's,GTKDOC_LIBS=,GTKDOC_LIBS= $(POPT_LIBS) ,' doc/apiref/Makefile.am
subst 's,libcaptive_la_LIBADD=,libcaptive_la_LIBADD= $(POPT_LIBS) ,' src/libcaptive/Makefile.am
subst 's,--sandbox-server=@sbindir@/captive-sandbox-server,--sandbox-server=@libexecdir@/captive-sandbox-server,' src/client/gnomevfs/captive.conf.in

%build
%__libtoolize --copy --force
%__aclocal -I macros
%__automake
%__autoconf
%configure --enable-man-pages=yes \
	--enable-shared --disable-static \
	--disable-standalone \
	--disable-standalone-fonts \
	--enable-sandbox-setuid=captive \
	--enable-sandbox-setgid=captive \
	--enable-sandbox-chroot=%{_var}/lib/captive \
	--enable-bug-replay \
	--disable-lufs \
	--enable-fuse \
	--enable-install-pkg \
	--enable-html-dir=%_docdir/HTML/%name-%version \
	--with-readline=yes \
	--enable-sbin-mountdir=/sbin \
	--enable-sbin-mount-fs=ntfs:fastfat:cdfs:ext2fsd \
	--with-initddir=%{_initrddir} \
	--with-orbit-line=link \
%if_enabled gtk_doc
	--enable-gtk-doc
%else
	--disable-gtk-doc
%endif
%make_build

%install
make DESTDIR=%buildroot install

# GTK-DOC docs are unusable ate the moment :-(
#%__rm -rf %buildroot%_datadir/gtk-doc

#%__mkdir_p %buildroot%_initdir
#%__install -m0755 %SOURCE2 %buildroot%_initdir/%name

%find_lang captive

%pre
/usr/sbin/groupadd -r -f captive
/usr/sbin/useradd -r -n -g captive -d /var/lib/captive -s /dev/null -c captive \
	captive >/dev/null 2>&1 ||:

%post
%post_ldconfig

%postun
%postun_ldconfig
# deletion, not upgrade
if [ $1 = 0 ]; then
  # Remove stale sandbox chroot directories owned by 'captive.captive':
  # Well, should we really do this?
  %__rm -rf %_var/lib/captive/s-*
  %__rm -rf %_var/lib/captive/tmp/*
fi

#%%post lufs
#%%post_service %%name

#%%preun lufs
#%%preun_service %%name

%post install
# Currently this utility is not completely backup-safe
# so disable it to avoid "surprises"
#%_sbindir/captive-install-fstab --add
# RPM installs should be unattended and non-interactive
%_sbindir/captive-install-acquire --text --scan-disks-quick

%preun install
if [ $1 = 0 ]; then
  %_sbindir/captive-install-fstab --remove
fi

%files -f captive.lang
%doc README NEWS AUTHORS THANKS TODO
%config %_sysconfdir/gnome-vfs-2.0/modules/captive.conf

%_libdir/libcaptive-*.so
%_bindir/captive-cmdline
%attr(04711,root,root) %_libexecdir/captive-sandbox-server

%attr(0644,root,man) %_man1dir/captive-cmdline.1*
%attr(0644,root,man) %_man1dir/captive-sandbox-server.1*
%attr(0644,root,man) %_man7dir/captive.7*

%dir %_var/lib/captive
%attr(1777,root,root) %_var/lib/captive/tmp
%attr(0644,root,man) %_var/lib/captive/*.sys

%_libdir/gnome-vfs-2.0/modules/libcaptive-gnomevfs*.so

%files fuse
%config %_initrddir/%name
/sbin/mount.captive*
%attr(0644,root,man) %_man8dir/mount.captive.8*

%files install
%config %_sysconfdir/w32-mod-id.captivemodid.xml
%_sbindir/captive-install*
%attr(0644,root,man) %_man1dir/captive-install-*.1*

%files devel
%_bindir/captive-bug-replay
%_includedir/captive
%_libdir/libcaptive.so
%_datadir/gtk-doc/html/captive-apiref/

%changelog
* Sat Jul 22 2006 Serge Pavlovsky <pal@altlinux.ru> 1.1.7-alt3
- removed captive from buildrequires

* Fri Jul 14 2006 Serge Pavlovsky <pal@altlinux.ru> 1.1.7-alt2
- rebuild

* Fri Mar 17 2006 Serge Pavlovsky <pal@altlinux.ru> 1.1.7-alt1
- new version

* Wed Sep 07 2005 Serge Pavlovsky <pal@altlinux.ru> 1.1.5-alt8
- rebuilt with new libntfs

* Mon Jul 04 2005 Serge Pavlovsky <pal@altlinux.ru> 1.1.5-alt7
- removed calls to removed service

* Mon Jul 04 2005 Serge Pavlovsky <pal@altlinux.ru> 1.1.5-alt6
- rebuilt with new libntfs

* Mon Jan 24 2005 Serge Pavlovsky <pal@altlinux.ru> 1.1.5-alt5
- s/lufs/fuse captive.init
- removed not working captive.init

* Sat Jan 15 2005 Serge Pavlovsky <pal@altlinux.ru> 1.1.5-alt4
- used lufis instead of lufs

* Fri Jul  2 2004 Alexey Morozov <morozov@altlinux.org> 1.1.5-alt3
- Added a dependency on a fresh libreadline
- Use captive:captive instead of package builder for captive sandbox

* Wed May 26 2004 Alexey Morozov <morozov@altlinux.org> 1.1.5-alt2
- Fixed rpm scripts
- Fixed mount.captive (now it really handles iolocale)

* Tue May 11 2004 ALT QA Team Robot <qa-robot@altlinux.org> 1.1.5-alt1.1
- Rebuilt with openssl-0.9.7d.

* Wed Feb 19 2004 Alexey Morozov <morozov@altlinux.org> 1.1.5-alt1
- Initial build.


